"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requireModuleExports = exports.runCjs = void 0;
const esbuild_1 = require("esbuild");
function runCjs(code) {
    const module = { exports: {} };
    const fn = new Function('module', 'exports', code);
    fn(module, module.exports);
    const mod = module.exports;
    // @ts-ignore
    if (mod === null || mod === void 0 ? void 0 : mod.__esModule) {
        // @ts-ignore
        return mod.default;
    }
    return mod;
}
exports.runCjs = runCjs;
/**
 * 读取并运行文件
 */
const requireModuleExports = (filename) => {
    const result = (0, esbuild_1.buildSync)({
        entryPoints: [filename],
        bundle: true,
        minify: true,
        format: 'cjs',
        target: 'es2015',
        sourcemap: false,
        write: false,
    });
    const code = result.outputFiles[0].text;
    return runCjs(code);
};
exports.requireModuleExports = requireModuleExports;
